### Function

# Gimp ValueArray new_from_types_valist

unstable since: 3.0

#### Declaration [src]

    GimpValueArray*
    gimp_value_array_new_from_types_valist (
      gchar** error_msg,
      GType first_type,
      va_list va_args
    )

#### Description [src]

Allocate and initialize a new `GimpValueArray`, and fill it with `va_args` given in the order as passed to gimp_value_array_new_from_types().

Available since: 3.0

This function is not directly available to language bindings.

#### Parameters

`error_msg`

  Type: `gchar**`

  Return location for an error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`first_type`

  Type: `GType`

  First type in the array, or #G_TYPE_NONE.

`va_args`

  Type: `va_list`

  A va_list of GTypes and values, terminated by #G_TYPE_NONE.

#### Return value

Type: `GimpValueArray`

A newly allocated `GimpValueArray`, or `NULL` if an error happened.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.